/*------------------------------slash.c-----------------------------
  This is just a small utility for parsing paths and filenames. It
  is used in mkmpeg.sh. This software was written by Stephen Jordan.
  ------------------------------------------------------------------*/

#include <stdio.h>
#include <string.h>
#include <stdlib.h>

int main(int argc, char *argv[]) {
  char output[1024];
  strcpy(output, argv[1]);
  if(strlen(strrchr(argv[1], '/')) > 1) strcat(output, "/");
  printf("%s\n", output);
  return EXIT_SUCCESS;
}

